Subject: Re:iSCSI: ImmediateData Text Parameter Negotiation

From: "Julian Satran" <[email-masked]>
Date: Tue, 18 Sep 2001 23:40:13 +0300

I would rather change the InitialR2T to no bu there a dealock avoidance
rule is in force.

Julo

"Mallikarjun C." <[email-masked]>@ece.cmu.edu on 18-09-2001 22:30:12

Please respond to [email-masked]

Sent by:  [email-masked]

To:   "BURBRIDGE,MATTHEW (HP-UnitedKingdom,ex2)" <[email-masked]>
cc:   [email-masked]
Subject:  Re:iSCSI: ImmediateData Text Parameter Negotiation

Matthew,

I completely agree that the default should be "no"!  I pointed this
out sometime ago myself.  Apart from what you point out, the default
setting for "ImmediateData" seems to be at variance with the
conservative default for "InitialR2T" ("yes").

Julian, could you please consider this request?

Regards.
--
Mallikarjun

Mallikarjun Chadalapaka
Networked Storage Architecture
Network Storage Solutions Organization
MS 5668   Hewlett-Packard, Roseville.
[email-masked]

"BURBRIDGE,MATTHEW (HP-UnitedKingdom,ex2)" wrote:
>
> Julian,
>
> Appendix D24 (ImmediateData) does not describe the result of negotiation
if
> the two sides differ. I presume that since the default is "yes", then
only
> if both sides agree to "no" is immediate data turned off.  Please can
this
> be stated.
>
> Additionally, I feel that the default value for ImmediateData should be
> "no".
>
> Similarly, there is no statement on MaxOutstandingR2T.  Presumable the
> minimum is selected.
>
> Matthew Burbridge
> Senior Development Engineer
> NIS-Bristol
> Hewlett Packard
> Telnet: 312 7010
> E-mail: [email-masked]
>